Open CASCADE Technology: Convert_ParabolaToBSplineCurve Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Convert_ParabolaToBSplineCurve Class Reference

This algorithm converts a parabola into a non rational B-spline curve. The parabola is a Parab2d from package gp with the parametrization P (U) = Loc + F * (U*U * Xdir + 2 * U * Ydir) where Loc is the apex of the parabola, Xdir is the normalized direction of the symmetry axis of the parabola, Ydir is the normalized direction of the directrix and F is the focal length. KeyWords : Convert, Parabola, BSplineCurve, 2D . More...

`#include <Convert_ParabolaToBSplineCurve.hxx>`

Inheritance diagram for Convert_ParabolaToBSplineCurve:
[legend]

## Public Member Functions
| Convert_ParabolaToBSplineCurve (const gp_Parab2d &Prb, const Standard_Real U1, const Standard_Real U2)
| The parabola Prb is limited between the parametric values U1, U2 and the equivalent B-spline curve as the same orientation as the parabola Prb. More...
Public Member Functions inherited from Convert_ConicToBSplineCurve
Standard_Integer | Degree () const
| Returns the degree of the BSpline curve whose data is computed in this framework. More...
Standard_Integer | NbPoles () const
| Returns the number of poles of the BSpline curve whose data is computed in this framework. More...
Standard_Integer | NbKnots () const
| Returns the number of knots of the BSpline curve whose data is computed in this framework. More...
Standard_Boolean | IsPeriodic () const
| Returns true if the BSpline curve whose data is computed in this framework is periodic. More...
gp_Pnt2d | Pole (const Standard_Integer Index) const
| Returns the pole of index Index to the poles table of the BSpline curve whose data is computed in this framework. Exceptions Standard_OutOfRange if Index is outside the bounds of the poles table of the BSpline curve whose data is computed in this framework. More...
Standard_Real | Weight (const Standard_Integer Index) const
| Returns the weight of the pole of index Index to the poles table of the BSpline curve whose data is computed in this framework. Exceptions Standard_OutOfRange if Index is outside the bounds of the poles table of the BSpline curve whose data is computed in this framework. More...
Standard_Real | Knot (const Standard_Integer Index) const
| Returns the knot of index Index to the knots table of the BSpline curve whose data is computed in this framework. Exceptions Standard_OutOfRange if Index is outside the bounds of the knots table of the BSpline curve whose data is computed in this framework. More...
Standard_Integer | Multiplicity (const Standard_Integer Index) const
| Returns the multiplicity of the knot of index Index to the knots table of the BSpline curve whose data is computed in this framework. Exceptions Standard_OutOfRange if Index is outside the bounds of the knots table of the BSpline curve whose data is computed in this framework. More...
void | BuildCosAndSin (const Convert_ParameterisationType Parametrisation, Handle< TColStd_HArray1OfReal > &CosNumerator, Handle< TColStd_HArray1OfReal > &SinNumerator, Handle< TColStd_HArray1OfReal > &Denominator, Standard_Integer &Degree, Handle< TColStd_HArray1OfReal > &Knots, Handle< TColStd_HArray1OfInteger > &Mults) const
void | BuildCosAndSin (const Convert_ParameterisationType Parametrisation, const Standard_Real UFirst, const Standard_Real ULast, Handle< TColStd_HArray1OfReal > &CosNumerator, Handle< TColStd_HArray1OfReal > &SinNumerator, Handle< TColStd_HArray1OfReal > &Denominator, Standard_Integer &Degree, Handle< TColStd_HArray1OfReal > &Knots, Handle< TColStd_HArray1OfInteger > &Mults) const

## Additional Inherited Members
Protected Member Functions inherited from Convert_ConicToBSplineCurve
| Convert_ConicToBSplineCurve (const Standard_Integer NumberOfPoles, const Standard_Integer NumberOfKnots, const Standard_Integer Degree)
Protected Attributes inherited from Convert_ConicToBSplineCurve
Handle< TColgp_HArray1OfPnt2d > | poles
Handle< TColStd_HArray1OfReal > | weights
Handle< TColStd_HArray1OfReal > | knots
Handle< TColStd_HArray1OfInteger > | mults
Standard_Integer | degree
Standard_Integer | nbPoles
Standard_Integer | nbKnots
Standard_Boolean | isperiodic

## Detailed Description

This algorithm converts a parabola into a non rational B-spline curve. The parabola is a Parab2d from package gp with the parametrization P (U) = Loc + F * (U*U * Xdir + 2 * U * Ydir) where Loc is the apex of the parabola, Xdir is the normalized direction of the symmetry axis of the parabola, Ydir is the normalized direction of the directrix and F is the focal length. KeyWords : Convert, Parabola, BSplineCurve, 2D .

## Constructor & Destructor Documentation

Convert_ParabolaToBSplineCurve::Convert_ParabolaToBSplineCurve | ( | const gp_Parab2d & | Prb,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2
| ) |  |

The parabola Prb is limited between the parametric values U1, U2 and the equivalent B-spline curve as the same orientation as the parabola Prb.

The documentation for this class was generated from the following file:

- Convert_ParabolaToBSplineCurve.hxx